%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Notes plugin for the Xfce panel
Name:		xfce4-notes-plugin
Version:	1.9.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-notes-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
# Mageia patches
#
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	vala
Requires:	xfce4-panel

%description
xfce4-notes-plugin is a notes panel plugin for the Xfce Desktop Environment.
It provides a simple system for managing sticky notes on your desktop.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure \
	--enable-maintainer-mode \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README* ChangeLog AUTHORS
%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%{_bindir}/xfce4-notes
%{_bindir}/xfce4-notes-settings
%{_bindir}/xfce4-popup-notes
%{_libdir}/xfce4/panel/plugins/libnotes.so
%{_datadir}/xfce4/panel/plugins/xfce4-notes-plugin.desktop
%{_datadir}/applications/xfce4-notes.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/xfce4-notes-plugin/


%changelog
* Tue Jan 19 2021 wally <wally> 1.9.0-1.mga8
+ Revision: 1672552
- new version 1.9.0
- officially switch to gtk3

* Sat Jun 20 2020 wally <wally> 1.8.1-6.mga8
+ Revision: 1598106
- add upstream patches for gtk3 port
- add patches and fixes for remaining issues after upstream patches

* Fri Feb 14 2020 umeabot <umeabot> 1.8.1-5.mga8
+ Revision: 1518655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.8.1-4.mga7
+ Revision: 1301871
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 wally <wally> 1.8.1-3.mga7
+ Revision: 1170252
- rebuild for new xfconf

* Wed Feb 17 2016 umeabot <umeabot> 1.8.1-2.mga6
+ Revision: 963563
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 wally <wally> 1.8.1-1.mga6
+ Revision: 842999
- new version 1.8.1
- drop unneeded patches
- add patch to fix str fmt

* Tue Mar 03 2015 wally <wally> 1.7.7-10.mga5
+ Revision: 817452
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.7.7-9.mga5
+ Revision: 745323
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.7.7-8.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.7-7.mga4
+ Revision: 533848
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 wally <wally> 1.7.7-6.mga4
+ Revision: 475695
- add patch to build panel plugin as plugin
- exclude plugin .so from provides

* Mon Jan 14 2013 umeabot <umeabot> 1.7.7-5.mga3
+ Revision: 386856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.7.7-4.mga3
+ Revision: 338189
- add patch to fix build with automake 1.13

* Sat Jun 30 2012 wally <wally> 1.7.7-3.mga3
+ Revision: 265433
- port to libxfce4ui (patch from PLD Linux)
- clean .spec
- import from Mdv

